This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 579889

Summary: Switching from metacity->compiz (or compiz->metacity) causes windows with "tabs" to change size (typically getting smaller)
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 13:16:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom London 2010-04-06 16:35:32 EDT
Description of problem:
I've noticed that if I use desktop-effects to change from metacity to compiz, or the other way around, one of my gnome-terminal windows changes size.

Typically it goes from 80x24 to 79x21.

Here is how I 'reproduce' this:

Create a standard 80x24 gonme-terminal window.

Create a second 80x24 window using 'File->Open Terminal'.

In the second window, create 2 additional tabs using 'File->Open Tab'.

Start 'Desktop Effects' and switch from metacity to compiz (or the other way).

The second window will now be 79x21.

Believe this problem occurs with fc13 as well.

Version-Release number of selected component (if applicable):
gnome-terminal-2.30.0-1.fc14.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Described above.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-04-06 16:37:28 EDT
I forgot to list versions of metacity, compiz and desktop-effects:

[tbl@tlondon ~]$ rpm -q metacity compiz desktop-effects
metacity-2.30.0-2.fc14.x86_64
compiz-0.8.6-1.fc14.x86_64
desktop-effects-0.8.5-1.fc14.x86_64
[tbl@tlondon ~]$
Comment 2 Tom London 2010-04-14 12:34:53 EDT
This also happens when I enable 'compositing_manager' in metacity.

My nice terminal window with 3 80x24 tabs shrinks to 3 79x21 tabs.
Comment 3 Bug Zapper 2010-07-30 07:15:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 13:16:36 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping